Bug 1285877 - [abrt] plasma-workspace: KCrash::defaultCrashHandler(): krunner killed by SIGSEGV
[abrt] plasma-workspace: KCrash::defaultCrashHandler(): krunner killed by SIG...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ed8f19b5f86ee063c7da0d6dbb5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 15:12 EST by Alexander Khokhlov
Modified: 2016-07-19 14:32 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:32:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (64.64 KB, text/plain)
2015-11-26 15:12 EST, Alexander Khokhlov
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-26 15:12 EST, Alexander Khokhlov
no flags Details
File: core_backtrace (37.17 KB, text/plain)
2015-11-26 15:12 EST, Alexander Khokhlov
no flags Details
File: dso_list (27.69 KB, text/plain)
2015-11-26 15:12 EST, Alexander Khokhlov
no flags Details
File: environ (1.76 KB, text/plain)
2015-11-26 15:12 EST, Alexander Khokhlov
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-26 15:12 EST, Alexander Khokhlov
no flags Details
File: maps (123.17 KB, text/plain)
2015-11-26 15:12 EST, Alexander Khokhlov
no flags Details
File: mountinfo (3.57 KB, text/plain)
2015-11-26 15:12 EST, Alexander Khokhlov
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-26 15:12 EST, Alexander Khokhlov
no flags Details
File: open_fds (184 bytes, text/plain)
2015-11-26 15:12 EST, Alexander Khokhlov
no flags Details
File: proc_pid_status (1023 bytes, text/plain)
2015-11-26 15:12 EST, Alexander Khokhlov
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-11-26 15:13 EST, Alexander Khokhlov
no flags Details

  None (edit)
Description Alexander Khokhlov 2015-11-26 15:12:35 EST
Version-Release number of selected component:
plasma-workspace-5.4.3-3.fc22

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /bin/krunner
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/krunner
global_pid:     7988
kernel:         4.2.6-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 KCrash::defaultCrashHandler at ../../src/kcrash.cpp:431
 #3 memcpy at /usr/include/bits/string3.h:53
 #4 mdb_txn_renew0 at mdb.c:2593
 #5 mdb_txn_begin at mdb.c:2740
 #6 Baloo::SearchStore::exec at ../../../src/lib/searchstore.cpp:74
 #7 Baloo::Query::exec at ../../../src/lib/query.cpp:210
 #8 SearchRunner::match at ../../../runners/baloo/baloosearchrunner.cpp:98
 #10 Plasma::AbstractRunner::performMatch at ../../src/abstractrunner.cpp:131
 #11 ThreadWeaver::Executor::run at ../../src/executor.cpp:52
 #12 ThreadWeaver::Job::execute at ../../src/job.cpp:83
Comment 1 Alexander Khokhlov 2015-11-26 15:12:41 EST
Created attachment 1099405 [details]
File: backtrace
Comment 2 Alexander Khokhlov 2015-11-26 15:12:42 EST
Created attachment 1099406 [details]
File: cgroup
Comment 3 Alexander Khokhlov 2015-11-26 15:12:45 EST
Created attachment 1099407 [details]
File: core_backtrace
Comment 4 Alexander Khokhlov 2015-11-26 15:12:47 EST
Created attachment 1099408 [details]
File: dso_list
Comment 5 Alexander Khokhlov 2015-11-26 15:12:48 EST
Created attachment 1099409 [details]
File: environ
Comment 6 Alexander Khokhlov 2015-11-26 15:12:50 EST
Created attachment 1099410 [details]
File: limits
Comment 7 Alexander Khokhlov 2015-11-26 15:12:52 EST
Created attachment 1099411 [details]
File: maps
Comment 8 Alexander Khokhlov 2015-11-26 15:12:54 EST
Created attachment 1099412 [details]
File: mountinfo
Comment 9 Alexander Khokhlov 2015-11-26 15:12:55 EST
Created attachment 1099413 [details]
File: namespaces
Comment 10 Alexander Khokhlov 2015-11-26 15:12:57 EST
Created attachment 1099414 [details]
File: open_fds
Comment 11 Alexander Khokhlov 2015-11-26 15:12:59 EST
Created attachment 1099415 [details]
File: proc_pid_status
Comment 12 Alexander Khokhlov 2015-11-26 15:13:00 EST
Created attachment 1099416 [details]
File: var_log_messages
Comment 13 Rob 2016-01-10 04:51:16 EST
Another user experienced a similar problem:

Sometimes when searching for an application in the KDE menu, it crashes.
Example:
Press the KDE "F" button on the bottom left of the Task Panel
This time I typed: "gimp"
It crashed.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell --shut-up
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasmashell
global_pid:     2313
kernel:         4.2.8-200.fc22.i686+PAE
package:        plasma-workspace-5.5.1-1.fc22
reason:         plasmashell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            2000
Comment 14 Fedora End Of Life 2016-07-19 14:32:26 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.